@charset "UTF-8";

/*============================
	common
============================*/
.common__ttl {
  font-weight: 600;
  color: var(--brown);
  letter-spacing: 0.05em;
  line-height: 1;
  display: flex;
  align-items: baseline;
  gap: 2.4rem;
}

.common__ttl--wt {
  color: var(--white);
}

.common__ttl--c {
  justify-content: center;
  align-items: center;
}

.common__ttl span {
  font-family: var(--font-en);
  font-size: max(40px, 8rem);
  text-transform: uppercase;
}

.common__ttl--s span {
  font-size: max(28px, 5.8rem);
}

.common__btn {
  width: max(125px, 16.8rem);
  height: max(32px, 4rem);
  margin: 0 auto;
  position: relative;
  z-index: 1;
}

.common__btn a {
  width: 100%;
  height: 100%;
  border: solid 1px var(--brown);
  border-radius: 100vmax;
  font-family: var(--font-en);
  font-size: max(12px, 1.4rem);
  font-weight: 500;
  color: var(--brown);
  letter-spacing: 0.05em;
  text-transform: uppercase;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 0.9rem 0 2rem;
  position: relative;
}

.common__btn--wt a {
  border: solid 1px var(--white);
  color: var(--white);
}

.common__btn a::after {
  content: "";
  display: block;
  background: url("../img/btn_arw.png") no-repeat center / contain;
  width: max(20px, 2.4rem);
  height: max(20px, 2.4rem);
}

.common__btn--wt a::after {
  background: url("../img/btn_arw-wt.png") no-repeat center / contain;
}

/*============================
	hero
============================*/
.hero {
  width: 100%;
  height: max(90rem, 100vh);
  position: relative;
}

@media (max-width: 767px) {
  .hero {
    height: max(300px, 44rem);
  }
}

.hero__ttl {
  font-size: max(24px, 4.8rem);
  font-weight: 700;
  color: var(--brown);
  position: absolute;
  top: 24rem;
  left: 13.5rem;
  z-index: 2;
  filter: drop-shadow(0 0 1.5rem rgba(255, 255, 255, 0.8)) drop-shadow(0 0 1rem rgba(255, 255, 255, 0.8));
}

@media (max-width: 767px) {
  .hero__ttl {
    font-size: max(18px, 3.2rem);
    top: calc(10% + max(60px, 8rem));
    left: 5%;
  }
}

.hero__video {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: relative;
}

.hero__video iframe {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100vw;
  height: 56.25vw;
  min-width: 177.78vh;
  min-height: 100%;
  transform: translate(-50%, -50%);
  border: 0;
  pointer-events: none;
}

@media (max-width: 767px) {
  .hero {
    overflow: hidden;
  }

  .hero__video iframe {
    width: 100%;
    height: auto;
    aspect-ratio: 16 / 9;
    min-width: unset;
    min-height: unset;
  }
}

/*============================
	about
============================*/
.about {
  padding: 22.5rem 0 23.5rem;
  position: relative;
}

@media (max-width: 767px) {
  .about {
    padding: 10rem 0 23.5rem;
  }
}

.about::before {
  content: "";
  background: url("../img/about_deco-1.png") no-repeat center / contain;
  width: 36.6rem;
  height: 28rem;
  position: absolute;
  right: 10rem;
  bottom: 0;
  pointer-events: none;
}

@media (max-width: 767px) {
  .about::before {
    right: 3rem;
  }
}

.about__contents {
  width: 110rem;
  display: flex;
  flex-direction: row-reverse;
  gap: 5rem 9rem;
  margin: 0 auto;
}

@media (max-width: 767px) {
  .about__contents {
    width: 90%;
    flex-direction: column-reverse;
  }
}

.about__txt-wrapper {
  width: 100%;
}

.about__txt-wrapper h3 {
  font-size: max(12px, 1.8rem);
  font-weight: 700;
  color: var(--brown);
  letter-spacing: 0.05em;
  line-height: 2;
  margin-top: 4rem;
}

.about__txt-wrapper p {
  margin: 4rem 0 3.5rem;
}

.about .common__btn {
  margin: 0;
}

.about__img {
  width: 70rem;
  height: 100%;
  flex-shrink: 0;
  margin-left: calc(50% - 50vw);
  position: relative;
}

@media (max-width: 767px) {
  .about__img {
    width: 100%;
    margin: 0;
  }
}

.about__img img {
  border-radius: 4rem;
}

.about__img::before {
  content: "";
  background: url("../img/about_img-deco.png") no-repeat center / contain;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 1.4rem;
  left: 1.4rem;
  pointer-events: none;
  z-index: -1;
}

/*============================
	store
============================*/
.store {
  background: var(--bg-2);
  padding: 20rem 0 19rem;
  position: relative;
  z-index: 1;
}

.store::before,
.store::after {
  content: "";
  background: url("../img/store_deco-1.jpg") no-repeat center top / cover;
  width: 100%;
  height: 10rem;
  position: absolute;
  top: -1px;
  left: 0;
  pointer-events: none;
  z-index: -1;
}

.store::after {
  transform: scale(-1, -1);
  top: auto;
  bottom: -1px;
}

.store__contents {
  width: 110rem;
  display: flex;
  gap: 5rem 11.5rem;
  padding-right: 2rem;
  margin: 0 auto;
  position: relative;
}

@media (max-width: 767px) {
  .store__contents {
    width: 90%;
    flex-direction: column-reverse;
    padding: 0;
  }
}

.store__contents::before {
  content: "";
  background: url("../img/store_deco-2.png") no-repeat center / contain;
  width: 33rem;
  height: 21.2rem;
  position: absolute;
  transform: translateY(-100%);
  top: -3rem;
  left: 0;
  pointer-events: none;
}

.store__txt-wrapper {
  width: 100%;
}

.store__txt-wrapper h3 {
  font-size: max(12px, 1.8rem);
  font-weight: 700;
  color: var(--brown);
  letter-spacing: 0.05em;
  line-height: 2;
  margin-top: 4rem;
}

.store__txt-wrapper p {
  margin: 4rem 0 3.5rem;
}

.store .common__btn {
  margin: 0;
}

.store__img {
  width: 54rem;
  height: 100%;
  flex-shrink: 0;
  position: relative;
}

@media (max-width: 767px) {
  .store__img {
    width: 100%;
    margin: 0;
  }
}

.store__img img {
  border-radius: 4rem;
}

.store__img::before,
.store__img::after {
  content: "";
  position: absolute;
  pointer-events: none;
}

.store__img::before {
  background: url("../img/store_img-deco-1.png") no-repeat center / contain;
  width: 100%;
  height: 100%;
  top: 1.4rem;
  left: 1.4rem;
}

.store__img::after {
  background: url("../img/store_img-deco-2.png") no-repeat center / contain;
  width: 39.7rem;
  height: 20.8rem;
  right: -11.5rem;
  bottom: -3.5rem;
}

/*============================
	company
============================*/
.company {
  padding: 14.5rem 0 7.5rem;
  position: relative;
  z-index: 1;
}

@media (max-width: 767px) {
  .company {
    padding: 10rem 0 7.5rem;
  }
}

.company::before,
.company::after {
  content: "";
  position: absolute;
  pointer-events: none;
  z-index: 1;
}

.company::before {
  background: url("../img/company_deco-1.png") no-repeat center / contain;
  width: 33.4rem;
  height: 14rem;
  top: -8rem;
  left: 22rem;
}

.company::after {
  background: url("../img/company_deco-2.png") no-repeat center / contain;
  width: 20.4rem;
  height: 16.8rem;
  top: -9rem;
  right: 14rem;
}

@media (max-width: 767px) {
  .company::before {
    left: 2rem;
  }

  .company::after {
    right: 2rem;
  }
}

.company__contents {
  width: 110rem;
  display: flex;
  flex-direction: row-reverse;
  gap: 6rem 10rem;
  margin: 0 auto;
  position: relative;
}

@media (max-width: 767px) {
  .company__contents {
    width: 90%;
    flex-direction: column-reverse;
  }
}

.company__contents::before {
  content: "";
  background: url("../img/company_deco-3.png") no-repeat center / contain;
  width: 25rem;
  height: 27.6rem;
  position: absolute;
  right: -5.5rem;
  bottom: -26rem;
  pointer-events: none;
}

@media (max-width: 767px) {
  .company__contents::before {
    right: -2rem;
    bottom: -16rem;
  }
}

.company__map {
  width: 64rem;
  height: 48rem;
  flex-shrink: 0;
  margin-left: calc(50% - 50vw);
}

@media (max-width: 767px) {
  .company__map {
    width: 100%;
    height: 50rem;
    margin: 0;
  }
}

.company .common__ttl {
  margin-top: -2rem;
}

.company__list {
  display: flex;
  flex-wrap: wrap;
  margin: 6rem 0 3rem;
}

.company__list dt,
.company__list dd {
  letter-spacing: 0.05em;
  padding: 1.5rem 0;
}

.company__list dt {
  width: max(75px, 13rem);
  font-weight: 700;
}

.company__list dd {
  width: calc(100% - max(75px, 13rem));
}

.company__list dd:not(:last-of-type) {
  border-bottom: solid 1px var(--black);
}

@media (min-width: 768px) {
  .company__list dt:not(:last-of-type) {
    border-bottom: solid 1px var(--black);
  }
}

@media (max-width: 767px) {
  .company__list dt,
  .company__list dd {
    width: 100%;
  }

  .company__list dt {
    padding: 2rem 1.6rem 1rem;
  }

  .company__list dd {
    padding: 0 1.6rem 2rem;
  }
}

.company .common__btn {
  margin: 0;
}

/*============================
	recruit
============================*/
.recruit {
  background: var(--bg-2);
  padding: 22rem 0 27.5rem;
  clip-path: polygon(0 0, 100% 10rem, 100% 100%, 0 calc(100% - 10rem));
}

@media (max-width: 767px) {
  .recruit {
    padding: 14rem 0 15rem;
    clip-path: polygon(0 0, 100% 6rem, 100% 100%, 0 calc(100% - 6rem));
  }
}

.recruit__contents {
  background-color: var(--brown);
  width: 110rem;
  display: flex;
  flex-direction: row-reverse;
  margin: 0 auto;
}

@media (max-width: 767px) {
  .recruit__contents {
    width: 90%;
    flex-direction: column-reverse;
  }
}

.recruit__txt-wrapper {
  width: 100%;
  color: var(--white);
  padding: 6.5rem 6rem 7rem;
}

@media (min-width: 768px) {
  .recruit__txt-wrapper {
    padding: 6.5rem 9.5rem 7.5rem 5.5rem;
  }
}

.recruit__txt-wrapper p {
  letter-spacing: 0.05em;
  margin: 5rem 0;
}

.recruit .common__btn {
  margin: 0;
}

.recruit__img {
  display: block;
  width: 61rem;
  flex-shrink: 0;
}

@media (max-width: 767px) {
  .recruit__img {
    width: 100%;
  }
}

/*============================
	contact
============================*/
.contact {
  padding: 7.5rem 0 13.5rem;
}

.contact__contents {
  background-color: var(--brown);
  width: 90rem;
  border-radius: 3rem;
  padding: 5rem 9rem;
  margin: 0 auto;
  position: relative;
  filter: drop-shadow(0.8rem 0.8rem 0 rgba(0, 0, 0, 0.15));
}

@media (max-width: 767px) {
  .contact__contents {
    width: 90%;
    padding: 5rem;
  }
}

.contact__contents::before {
  content: "";
  background: url("../img/contact_deco-1.png") no-repeat center / contain;
  width: 25.7rem;
  height: 37rem;
  position: absolute;
  bottom: 0;
  right: 9.5rem;
  pointer-events: none;
}

@media (max-width: 767px) {
  .contact__contents::before {
    width: 23rem;
    height: 33.1rem;
    right: 2rem;
  }
}

.contact .common__btn {
  margin: 4rem 0 0;
}

/*============================
	insta
============================*/
.insta {
  background: var(--bg-1);
  padding: 12rem 0 20rem;
}

.insta__contents {
  width: 88.7rem;
  margin: 7.5rem auto 0;
}

@media screen and (max-width: 767px) {
  .insta__contents {
    width: 90%;
  }
}

.CMS-INSTAGRAM-LIST {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2.4rem 2.9rem;
}

.CMS-INSTAGRAM-LIST > *:nth-of-type(n + 7) {
  display: none;
}

@media screen and (max-width: 767px) {
  .CMS-INSTAGRAM-LIST {
    gap: 1rem;
  }
}

.CMS-INSTAGRAM-LIST img {
  width: 27.6rem;
  height: 27.6rem;
  object-fit: cover;
}

@media screen and (max-width: 767px) {
  .CMS-INSTAGRAM-LIST img {
    width: 100%;
    height: auto;
  }
}
